module x264_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libx264
const libx264_path = "/usr/lib/libx264.so.165"
libx264_handle = C_NULL
get_libx264_path() = libx264_path
const libx264 = "libx264.so.165"
export x264
const x264_path = "/usr/bin/x264"
x264(f::Function; kw...) = f(x264_path)
x264(; kw...) = Cmd([x264_path])
function __init__()
    global libx264_handle = dlopen(libx264_path)
end
end
